#include <boost/interprocess/ipc/message_queue.hpp>
#include <boost/date_time/posix_time/posix_time.hpp>
#include <boost/thread.hpp>

/*
#include <signal.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/sysctl.h>
#include <stdlib.h>
#include <launch.h>
extern char** environ;
#include <iostream>
#include <cstdlib>
*/

#define SOCKET_LOCATION "my_socket"

int main(int argc, char** argv)
{
	using namespace boost::interprocess;

	message_queue queue
			(create_only, 
			SOCKET_LOCATION,  //queue name
			65536, // max msg number
			65536); // max msg size
			
	unsigned int priority;
	std::size_t recvd_size = 0;

	char buffer[65536];

	while(1)
	{	
		if(queue.try_receive((void*)buffer, (size_t)65536, recvd_size, priority))
		{
			std::string a(buffer,recvd_size);
		}
		boost::this_thread::sleep(boost::posix_time::milliseconds(200));
	}
}



